/// <reference types="react" />
import * as React from 'react';
import * as data from '../data';
export interface IFormBuilderEditableProps {
    field: data.IField;
    index: number;
    isEditing: boolean;
    showEditButton?: boolean;
    editButtonText?: string;
    deleteButtonText?: string;
    onEdit: (field: data.IField) => void;
    onDelete: (index: number) => void;
}
export interface IFormBuilderEditableState {
}
export declare class FormBuilderEditable extends React.Component<IFormBuilderEditableProps, IFormBuilderEditableState> {
    constructor();
    private onEdit(event);
    private onDelete(event);
    private onClicked(event);
    render(): JSX.Element;
}
